searchNodes=[{"doc":"This library provides an easy way to generate CSV files. It allows you to define the colums and their respective types. Example defmodule MyCSV do use CsvGenerator column :name , :string column :joined , :date , format : &quot;%d-%m-%Y&quot; column :points , :integer , label : &quot;points earned&quot; hardcoded :string , &quot;Game&quot; , &quot;domino&quot; end You would then render the CSV bij calling the render/1 method with the list of lines to render. Example iex&gt; MyCSV . render ( [ %{ name : &quot;Chris McCord&quot; , joined : ~D[2020-01-01] , points : 110 } , %{ name : &quot;Jose Valim&quot; , joined : ~D[2020-03-29] , points : 10 } ] ) &quot; \\&quot; name \\&quot; , \\&quot; joined \\&quot; , \\&quot; points earned \\&quot; , \\&quot; Game \\&quot; \\n \\&quot; Chris McCord \\&quot; ,01-01-2020,110, \\&quot; domino \\&quot; \\n \\&quot; Jose Valim \\&quot; ,29-03-2020,10, \\&quot; domino \\&quot; &quot; By default the CSV columns will be seperated by a &quot;,&quot; , the lines by a &quot;\\n&quot; . This can be changed by using delimiter and line_ending . Example defmodule MyCSV do use CsvGenerator delimiter &quot;;&quot; line_ending &quot; \\r \\n &quot; column :name , :string column :birthday , :date , format : &quot;%d-%m-%Y&quot; column :points , :integer end iex&gt; MyCSV . render ( [ %{ name : &quot;Jose Valim&quot; , joined : ~D[2020-03-29] , points : 10 } ] ) &quot; \\&quot; name \\&quot; ; \\&quot; joined \\&quot; ; \\&quot; points earned \\&quot; \\n \\&quot; Jose Valim \\&quot; ;29-03-2020;10&quot; Formatting A formatter is included, to be able to have mix format use it, you have to add it to your own .formatter.exs in import_deps . Example [ import_deps : [ :ecto , :phoenix , :csv_generator ] , inputs : [ &quot;*.{ex,exs}&quot; , &quot;priv/*/seeds.exs&quot; , &quot;{config,lib,test}/**/*.{ex,exs}&quot; ] , subdirectories : [ &quot;priv/*/migrations&quot; ] ]","ref":"CsvGenerator.html","title":"CsvGenerator","type":"module"},{"doc":"Defines a column in the CSV. column name, type, options The column name will be used to select the value from the given input. The following types are currently supported: Type Elixir type Default format :string String n/a :integer Integer n/a :float Float n/a :date Date &quot;%Y-%m-%d&quot; :time DateTime or Integer &quot;%H:%M&quot; :datetime DateTime &quot;%Y-%m-%d %H:%M:%S&quot; For :date , :time , and :datetime , any of the Date(Time) types that are compatible with Calendar.Strftime.strftime/2 are allowed. :time also allows an Integer value that represents the time within a day. Options :header - Use this instead of the name for column header. :format - Supply a different format string, see https://hexdocs.pm/calendar/readme.html . :digits - Supply the number of digits for a Float . :with - Specifies a function to be called on the value before processing. column :value , :integer , with : &amp; calc / 1 or column :value , :integer , with : fn ( x ) -&gt; x * 2 end :source - Use another field as the source for this column, this allows you to use the same column multiple times. nil values Columns with a nil value will be empty in the output. If you do not want this, if you want some default value, then use the with: option to supply a function that transforms the nil into something, formatting and rounding options will be applied. column :c3po , :integer , with : fn i -&gt; if i == nil , do : 0 , else : i end","ref":"CsvGenerator.html#column/3","title":"CsvGenerator.column/3","type":"macro"},{"doc":"Specify the decimal point, default: &quot;.&quot; Example decimal_point &quot;,&quot;","ref":"CsvGenerator.html#decimal_point/1","title":"CsvGenerator.decimal_point/1","type":"macro"},{"doc":"Specify the character to use as column delimiter, default: &quot;,&quot; Example delimiter &quot;;&quot;","ref":"CsvGenerator.html#delimiter/1","title":"CsvGenerator.delimiter/1","type":"macro"},{"doc":"Defines a column in the CSV that will always have the same hardcoded value. Example hardcoded :string , &quot;name&quot; , &quot;John&quot; For type check out the possibilities in column/3 . Make sure the value is of type .","ref":"CsvGenerator.html#hardcoded/3","title":"CsvGenerator.hardcoded/3","type":"macro"},{"doc":"Add the header to the generated CSV, default: true. Example header false","ref":"CsvGenerator.html#header/1","title":"CsvGenerator.header/1","type":"macro"},{"doc":"Specify the line ending to use, default: &quot;\\n&quot;. Example line_ending &quot; \\r \\n &quot;","ref":"CsvGenerator.html#line_ending/1","title":"CsvGenerator.line_ending/1","type":"macro"},{"doc":"To generate the CSV output you call render on your module with your data.","ref":"Example.html","title":"Example","type":"module"},{"doc":"Called to render the CSV output. Example iex&gt; MyCSV.render(list) &quot;...&quot;","ref":"Example.html#render/1","title":"Example.render/1","type":"function"}]